function setup() {
  createCanvas(500, 500);
}

let tilesInRack = [];
let wordsPrinted = [];
let grandTotalPoints = 0;

function draw() {
  background(150, 150, 150);

  textFont("Arial");
  textSize(24);
  fill(0,256,0);

  textAlign(RIGHT);
  text(grandTotalPoints, 495, 23);
  textAlign(LEFT);

  drawTile('i', 500, 100, 200);
  drawTile('N', 0,   140, 200);
  drawTile('da', 0,   180, 200);
  drawTile('5', 5, 220, 200);
  drawTile('1', 1, 260, 200);
  drawTile('9', 9, 300, 200);
}

function drawTile(letter, points, x, y) {
   noStroke();
   fill(0);
   rect(x, y, 30, 40);

   fill(255);
   textFont('Arial');

   textSize(24);
   textAlign(CENTER);
   text(letter, x+15, y+25);

   textSize(10);
   textAlign(RIGHT);
   text(points, x+29, y+38);

   textAlign(LEFT);
}

let tileDefinitions = [
  { letter:'a', points:1 },
  { letter:'b', points:3 },
  { letter:'c', points:3 },
  { letter:'d', points:2 },
  { letter:'e', points:1 },
  { letter:'f', points:4 },
  { letter:'g', points:2 },
  { letter:'h', points:4 },
  { letter:'i', points:1 },
  { letter:'j', points:8 },
  { letter:'k', points:5 },
  { letter:'l', points:1 },
  { letter:'m', points:3 },
  { letter:'n', points:1 },
  { letter:'o', points:1 },
  { letter:'p', points:3 },
  { letter:'q', points:10 },
  { letter:'r', points:1 },
  { letter:'s', points:1 },
  { letter:'t', points:1 },
  { letter:'u', points:1 },
  { letter:'v', points:4 },
  { letter:'w', points:4 },
  { letter:'x', points:8 },
  { letter:'y', points:4 },
  { letter:'z', points:10 },
];
